# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "melior-macro"
version = "0.19.1"
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Internal macros for Melior"
documentation = "https://mlir-rs.github.io/melior/melior/"
readme = "README.md"
keywords = [
    "llvm",
    "mlir",
]
license = "Apache-2.0"
repository = "https://github.com/mlir-rs/melior"

[lib]
name = "melior_macro"
path = "src/lib.rs"
proc-macro = true

[[test]]
name = "operand"
path = "tests/operand.rs"

[[test]]
name = "region"
path = "tests/region.rs"

[[test]]
name = "utility"
path = "tests/utility.rs"

[dependencies.comrak]
version = "0.50.0"
default-features = false

[dependencies.convert_case]
version = "0.11.0"

[dependencies.proc-macro2]
version = "1"

[dependencies.quote]
version = "1"

[dependencies.regex]
version = "1.12.3"

[dependencies.syn]
version = "2"
features = ["full"]

[dependencies.tblgen]
version = "0.7.2"
features = ["llvm21-0"]
default-features = false

[dependencies.unindent]
version = "0.2.4"

[dev-dependencies.mlir-sys]
version = "210.0.1"

[dev-dependencies.pretty_assertions]
version = "1.4.1"
